Subject: bug#44353: [PATCH version-1.2.0 v2 1/3] image: Remove conflicting user-provided EFI file system.

From: Mathieu Othacehe <[email-masked]>
Date: Thu, 12 Nov 2020 09:39:47 +0100

Hey Maxim,

> When the bootloader used is grub-efi-bootloader, an ESP partition and file
> system is already added by the image generator.  If a conflicting
> user-provided EFI file system is provided, it will (likely) cause the boot to
> fail, as happens for the lightweight-desktop.tmpl and desktop.tmpl templates
> under gnu/system/examples.

Nice one. I would just clarify in the commit message that the ESP
partition is added only when the selected image type is "raw".

Otherwise, it looks fine!

Thanks,

Mathieu